Subject: bug#26016: Regarding how to link gzip

From: Sarthak Jain <[email-masked]>
Date: Thu, 16 Mar 2017 09:05:50 +0000

Somehow the newlines in the commands I mentioned got removed which is making it clumsy. Please find the commands as:

CFLAGS := -gdwarf-2
gunzip gzip-1.8.tar.gz && tar -xf gzip-1.8.tar
export CFLAGS
./configure --prefix=<some-dir>
make all
make install

-----Original Message-----
From: Sarthak Jain 
Sent: Thursday, March 16, 2017 2:34 PM
To: 'Jim Meyering' <[email-masked]>
Cc: [email-masked]
Subject: RE: bug#26016: Regarding how to link gzip

Hi,
We have followed the following shell commands-

CFLAGS := -gdwarf-2
gunzip gzip-1.8.tar.gz && tar -xf gzip-1.8.tar export CFLAGS ./configure --prefix=<some-dir> make all make install

These are the commands we have executed. Please find the attached output of './configure'. Our build machine is (x86_64 SuSE10SP4)

Thanks
Sarthak

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Jim Meyering
Sent: Saturday, March 11, 2017 9:09 AM
To: Sarthak Jain <[email-masked]>
Cc: [email-masked]
Subject: Re: bug#26016: Regarding how to link gzip

tags 26016 moreinfo
done

On Tue, Mar 7, 2017 at 4:07 AM, Sarthak Jain <[email-masked]> wrote:
> We are using gzip library in our product and I was upgrading the library to the latest version 1.8. While building, we saw that is it using '/usr/bin/ld' for linking. But on our build machine, we want to link it with 'gcc'.
> Is there any flag we need to pass while configuring to tell it to link using 'gcc' instead of '/usr/bin/ld'.
>
> I tried to see in the configure script but I was not able to get one. Can you please share some info on this?

We may be able to help, but only if you first tell us more about your problem:
  - what precise commands you ran (starting from the pristine unpacked
gzip-1.8 tarball)
  - what output they produced
  - describe your system, i.e., Fedora 25, Solaris 11, Debian unstable, etc.